/*
    Drools5 Integration Helper
    Copyright (C) 2009  Mathieu Boretti mathieu.boretti@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.boretti.drools.integration.drools5.exceptions;

/**
 * This is the main error for all drools error
 * @author mbo
 *
 */
public class DroolsError extends Error {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7696933986387002579L;

	public DroolsError() {
		super();
	}

	public DroolsError(String message, Throwable cause) {
		super(message, cause);
	}

	public DroolsError(String message) {
		super(message);
	}

	public DroolsError(Throwable cause) {
		super(cause);
	}

}
